package cn.com.countrygarden.bi.main.dao.phoenix;

import cn.com.countrygarden.bi.main.model.phoenix.PhoenixSalesProject;
import com.github.pagehelper.PageRowBounds;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface PhoenixSalesProjectMapper extends Mapper<PhoenixSalesProject> {

    void truncate();

    void persistence(@Param("projects") List<PhoenixSalesProject> projects);

    List<PhoenixSalesProject> search(PageRowBounds pageRowBounds);
}